Skip to main content
GET
/
api
/
spei
/
transaction
/
{externalId}
Consultar transação SPEI por externalId / conciliationId
curl --request GET \
  --url https://sandbox.ntxpay.com/api/spei/transaction/{externalId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 12345,
  "externalId": "order-abc-123",
  "conciliationId": "order_abc_123",
  "paymentMethod": "SPEI",
  "type": "cash_in",
  "provider": "smartfastpay",
  "amountCentavos": 50000,
  "clabe": "012180001234567890",
  "createdAt": "2026-05-12T14:30:00.000Z",
  "confirmedAt": "2026-05-12T14:31:05.000Z"
}

Authorizations

Authorization
string
header
required

JWT obtido em POST /api/auth/token

Path Parameters

externalId
string
required

External ID enviado no cash-in/cash-out (também aceito como conciliationId)

Response

Transação encontrada

id
integer
Example:

12345

externalId
string | null
Example:

"order-abc-123"

conciliationId
string | null

Alias Voluti — espelha externalId.

Example:

"order_abc_123"

paymentMethod
string
Example:

"SPEI"

direction
enum<string>
Available options:
in,
out
type
string

cash_in, cash_out, refund_in, refund_out, internal_transfer

Example:

"cash_in"

status
enum<string>
Available options:
PENDING,
CONFIRMED,
FAILED,
EXPIRED
provider
string
Example:

"smartfastpay"

amountCentavos
integer
Example:

50000

clabe
string | null
Example:

"012180001234567890"

createdAt
string<date-time>
Example:

"2026-05-12T14:30:00.000Z"

confirmedAt
string<date-time> | null
Example:

"2026-05-12T14:31:05.000Z"